GET /v1/messages/:id

Retrieve the full status and details of a single message by its ID.

Get Message

Returns a detailed view of a message including delivery status, OTP state, AI routing info, and timestamps.

Path Parameters

ParameterTypeDescription
iduuidThe message ID returned from POST /v1/send

Response

Response
{
  "id": "msg_abc123",
  "to_address": "user@example.com",
  "channel": "email",
  "status": "delivered",
  "subject": "Welcome!",
  "sent_from": "App <noreply@yourdomain.com>",
  "otp_verified": false,
  "otp_attempt_count": 0,
  "expires_at": null,
  "fallback_channel": null,
  "fallback_to": null,
  "fallback_triggered": false,
  "ai_routed": false,
  "ai_routing_reason": null,
  "tags": ["onboarding"],
  "sent_at": "2025-01-01T00:00:00Z",
  "delivered_at": "2025-01-01T00:00:05Z",
  "opened_at": null,
  "clicked_at": null,
  "failed_at": null,
  "created_at": "2025-01-01T00:00:00Z"
}

Example

cURL
curl https://api.yoursend.dev/v1/messages/msg_abc123 \
  -H "Authorization: Bearer ys_live_..."